expect_null {testthat} | R Documentation

## Expectation: is an object `NULL`?

### Description

This is a special case because `NULL` is a singleton so it's possible check for it either with `expect_equal(x, NULL)` or `expect_type(x, "NULL")`.

### Usage

    expect_null(object, info = NULL, label = NULL)

### Arguments

`object` | Object to test. Supports limited unquoting to make it easier to generate readable failures within a function or for loop. See quasi_label for more details.
`info` | Extra information to be included in the message. This argument is soft-deprecated and should not be used in new code. Instead see alternatives in quasi_label.
`label` | Used to customise failure messages. For expert use only.

### See Also

Other expectations: `comparison-expectations`, `equality-expectations`, `expect_length`, `expect_match`, `expect_named`, `inheritance-expectations`, `logical-expectations`, `output-expectations`

### Examples

    x <- NULL
    y <- 10

    expect_null(x)
    show_failure(expect_null(y))

[Package testthat version 2.1.1 Index]